## setbfree 0.8.1

=== Makefile ===
EXPORTED_VERSION=0.8.1
export EXPORTED_VERSION

ifneq ($(FONTFILE),)
export FONTFILE
endif

ifneq ($(wildcard robtk/robtk.mk),)
  ROBTK ?= robtk/
endif

ifneq ($(ROBTK),)
RW=$(abspath $(ROBTK))/
export RW
endif

SUBDIRS = b_overdrive b_whirl b_reverb b_conv src b_synth ui

default: all

$(SUBDIRS)::
	$(MAKE) -C $@ $(MAKECMDGOALS)

all clean install uninstall: $(SUBDIRS)

doc:
	help2man -N --help-option=-H -n 'DSP tonewheel organ' -o doc/setBfree.1 src/setBfree
	help2man -N -n 'The B Whirl Speaker' -o doc/x42-whirl.1 b_whirl/x42-whirl
	-help2man -N -n 'The B Preamp/Overdrive Emulator' -o doc/jboverdrive.1 b_overdrive/jboverdrive

dist:
	git archive --format=tar --prefix=setbfree-$(EXPORTED_VERSION)/ HEAD | gzip -9 > setbfree-$(EXPORTED_VERSION).tar.gz

.PHONY: clean all subdirs install uninstall dist doc

=== b_overdrive/Makefile ===
include ../common.mak
include ../git2lv2.mk

LOADLIBES = -lm

targets=overdrive.o

LV2NAME=b_overdrive

ifeq ($(LV2AVAIL), yes)
  targets+=lv2
endif

ifeq ($(shell pkg-config --exists liblo && echo yes), yes)
  override CFLAGS+=-DHAVE_LIBLO `pkg-config --cflags liblo`
  LOADLIBES+=`pkg-config --libs liblo`
endif

ifeq ($(shell pkg-config --exists jack && echo yes)$(OVERDRIVEJACK), yesyes)
  targets+=jboverdrive
  binaries+=jboverdrive
  override CFLAGS+=-DHAVE_JACK `pkg-config --cflags jack`
  LOADLIBES+=`pkg-config --libs jack`
endif

OVMSRC=\
	overmaker.c \
	filterTools.c \
	ovt_biased.c

all: $(targets)

jboverdrive: jboverdrive.c overdrive.o

lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) $(LV2NAME).ttl

manifest.ttl:
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl

$(LV2NAME).ttl: $(LV2NAME).ttl.in Makefile
	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
		$(LV2NAME).ttl.in > $(LV2NAME).ttl

$(LV2NAME)$(LIB_EXT): lv2.c overdrive.o
	$(CC) $(CPPFLAGS) $(CFLAGS) -fvisibility=hidden \
		-o $(LV2NAME)$(LIB_EXT) lv2.c overdrive.o \
	  -shared $(LV2LDFLAGS) $(LDFLAGS)

overdrive.o: overdrive.c overdrive.h ../src/cfgParser.h ../src/midi.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o overdrive.o overdrive.c

overmaker:$(OVMSRC) overmakerdefs.h
	$(CC) -o $(@) $(OVMSRC) -lm

overdrive: overmaker
	./overmaker > overdrive.c

install: $(targets)
ifneq ($(strip $(binaries)),)
	-install -d $(DESTDIR)$(bindir)
	install -m755 $(binaries) $(DESTDIR)$(bindir)
endif
ifeq ($(LV2AVAIL), yes)
	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
endif

uninstall:
ifneq ($(strip $(binaries)),)
	rm -f $(foreach fname,$(binaries),$(DESTDIR)$(bindir)/$(fname))
	-rmdir $(DESTDIR)$(bindir)
endif
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/*.ttl
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2NAME)$(LIB_EXT)
	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)

clean:
	rm -f *.o jboverdrive overmaker manifest.ttl $(LV2NAME)$(LIB_EXT) $(LV2NAME).ttl

.PHONY: clean all install uninstall lv2 overdrive

=== b_reverb/Makefile ===
include ../common.mak
include ../git2lv2.mk

LOADLIBES = -lm
override CFLAGS+=`pkg-config --cflags lv2` -fvisibility=hidden

targets=reverb.o

LV2NAME=b_reverb

ifeq ($(LV2AVAIL), yes)
  targets+=lv2
endif

all: $(targets)

lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) $(LV2NAME).ttl

manifest.ttl:
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl

$(LV2NAME).ttl: $(LV2NAME).ttl.in Makefile
	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
		$(LV2NAME).ttl.in > $(LV2NAME).ttl

$(LV2NAME)$(LIB_EXT): lv2.c reverb.o
	$(CC) $(CPPFLAGS) $(CFLAGS) \
		-o $(LV2NAME)$(LIB_EXT) lv2.c reverb.o \
	  -shared $(LV2LDFLAGS) $(LDFLAGS)

%.o: %c %.h ../src/cfgParser.h

install: $(targets)
ifeq ($(LV2AVAIL), yes)
	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
endif

uninstall:
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/*.ttl
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2NAME)$(LIB_EXT)
	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)

clean:
	rm -f *.o manifest.ttl $(LV2NAME)$(LIB_EXT) $(LV2NAME).ttl

.PHONY: clean all install uninstall lv2

=== b_synth/Makefile ===
include ../common.mak
include ../git2lv2.mk

LOADLIBES = -lm
override CFLAGS+= -I../src -I../b_overdrive -I../b_reverb -I../b_whirl
override CFLAGS+=`pkg-config --cflags lv2` -DLV2SYNTH -fvisibility=hidden
targets=

LV2NAME=b_synth
LV2GUI=b_synthUI
TX=textures/

ifeq ($(LV2AVAIL), yes)
  targets+=lv2
  ifeq ($(HAVE_UI), yes)
    targets+=$(LV2GUI)$(LIB_EXT)
  else
    $(warning "Synth GUI will not be built")
    $(warning "either openGL/GLU is not available - install glu-dev, ftgl-dev")
    $(warning "or $(FONTFILE) cannot be found")
  endif
endif

ifeq ($(IS_WIN)$(IS_OSX), yes)
  CC=$(CXX)
else
  ifneq ($(ENABLE_CONVOLUTION), yes)
    override CFLAGS+=-std=c99
  endif
endif

all: $(targets)

lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) $(LV2NAME).ttl

manifest.ttl: manifest.ttl.in manifest.ui.ttl.in
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
ifeq ($(HAVE_UI), yes)
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LV2GUI@/$(LV2GUI)/;s/@LIB_EXT@/$(LIB_EXT)/;s/@UI_TYPE@/$(UI_TYPE)/" manifest.ui.ttl.in >> manifest.ttl
endif

$(LV2NAME).ttl: $(LV2NAME).ttl.in $(LV2NAME).ui.ttl.in
	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
		$(LV2NAME).ttl.in > $(LV2NAME).ttl
ifeq ($(HAVE_UI), yes)
	sed "s/@UI_TYPE@/$(UI_TYPE)/;s/@UI_REQ@/$(LV2UIREQ)/;" $(LV2NAME).ui.ttl.in >> $(LV2NAME).ttl
endif

$(LV2NAME)$(LIB_EXT): lv2.c $(LV2OBJ) uris.h ../src/cfgParser.h ../src/midi.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LIC_CFLAGS) \
		-o $(LV2NAME)$(LIB_EXT) \
		lv2.c $(LV2OBJ) \
	  -shared $(LV2LDFLAGS) $(LDFLAGS) $(LOADLIBES) $(LIC_LOADLIBES)

$(LV2GUI)$(LIB_EXT): ui.c uris.h $(UIDEPS) $(FONTFILE) $(LV2OBJ)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(UICFLAGS) \
		-o $(LV2GUI)$(LIB_EXT) ui.c -DCONFIGDOCONLY -D XKEYFOCUSGRAB \
		../src/midi.c \
		../src/program.c \
		../src/vibrato.c \
		../src/tonegen.c \
		../b_whirl/whirl.c \
		../b_overdrive/overdrive.c \
		../b_reverb/reverb.c \
		-shared $(LV2LDFLAGS) $(LDFLAGS) $(UILIBS)

verabd.h: VeraBd.ttf
	xxd -i VeraBd.ttf > verabd.h

install: $(targets)
ifeq ($(LV2AVAIL), yes)
	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
  ifeq ($(HAVE_UI), yes)
	install -m755 $(LV2GUI)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
  endif
endif

uninstall:
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/*.ttl
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2NAME)$(LIB_EXT)
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2GUI)$(LIB_EXT)
	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)

clean:
	rm -f *.o manifest.ttl b_synth.ttl
	rm -f $(LV2NAME)$(LIB_EXT)
	rm -f $(LV2GUI)$(LIB_EXT)

.PHONY: clean all install uninstall lv2

=== b_whirl/Makefile ===
include ../common.mak
include ../git2lv2.mk

LOADLIBES = -lm
override CFLAGS+=`pkg-config --cflags lv2` -fvisibility=hidden

targets=whirl.o eqcomp.o

LV2NAME=b_whirl
LV2GUI=b_whirlUI_gl

HAVE_RTK = no

ifeq ($(LV2AVAIL), yes)
  targets+=lv2

  ifeq ($(wildcard $(RW)robtk.mk),)
    $(warning This plugin GUI needs https://github.com/x42/robtk)
    $(info set the RW environment variale to the location of the robtk headers)
  else
    HAVE_RTK = $(shell pkg-config --exists pango cairo $(PKG_GL_LIBS) && echo yes)
  endif

  ifeq ($(HAVE_RTK), yes)
    targets+=$(LV2GUI)$(LIB_EXT)
    targets+=x42-whirl$(EXE_EXT)
    override CFLAGS+=-DRTK_STATIC_INIT
  else
    $(warning "whirl/leslie GUI will not be built")
    $(warning "robtk or its dependencies are missing")
  endif
endif

all: $(targets)

lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) b_whirl-configurable.ttl b_whirl.ttl

manifest.ttl: manifest.ttl.in manifest.ui.ttl.in
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
ifeq ($(HAVE_RTK), yes)
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LV2GUI@/$(LV2GUI)/;s/@LIB_EXT@/$(LIB_EXT)/;s/@UI_TYPE@/$(UI_TYPE)/" manifest.ui.ttl.in >> manifest.ttl
endif

b_whirl-configurable.ttl: b_whirl-configurable.ttl.in b_whirl-configurable.ui.ttl.in
	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
		b_whirl-configurable.ttl.in > b_whirl-configurable.ttl
ifeq ($(HAVE_RTK), yes)
	sed "s/@UI_TYPE@/$(UI_TYPE)/;s/@UI_REQ@/$(LV2UIREQ)/" \
		b_whirl-configurable.ui.ttl.in >> b_whirl-configurable.ttl
endif

b_whirl.ttl: b_whirl.ttl.in
	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
		b_whirl.ttl.in > b_whirl.ttl

DSP_SRC = lv2.c
DSP_DEPS = whirl.o eqcomp.o whirl.h eqcomp.h ../src/cfgParser.h
GUI_DEPS = gui/b_whirl.c

$(LV2NAME)$(LIB_EXT): $(DSP_SRC) $(DSP_DEPS) Makefile
	$(CC) $(CPPFLAGS) $(CFLAGS) \
		-o $(LV2NAME)$(LIB_EXT) lv2.c whirl.o eqcomp.o \
		-shared $(LV2LDFLAGS) $(LDFLAGS)

JACKCFLAGS=$(CFLAGS) $(GLUICFLAGS) $(LIC_CFLAGS) -Wno-unused-function
JACKCFLAGS+=`pkg-config --cflags jack lv2 pango pangocairo $(PKG_GL_LIBS)`
JACKLIBS=-lm $(GLUILIBS) $(LIC_LOADLIBES)

$(eval x42_whirl_JACKSRC = lv2.c whirl.c)
x42_whirl_JACKGUI = gui/b_whirl.c
x42_whirl_LV2HTTL = b_whirl.h
x42_whirl_JACKDESC = lv2ui_descriptor
x42-whirl$(EXE_EXT): $(DSP_DEPS) $(GUI_DEPS) \
	        $(x42_whirl_JACKGUI) $(x42_whirl_LV2HTTL)

-include $(RW)robtk.mk

$(LV2GUI)$(LIB_EXT): gui/b_whirl.c gui/rtk_lever.h

install: $(targets)
ifeq ($(LV2AVAIL), yes)
	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m644 manifest.ttl $(LV2NAME)*.ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
endif
ifeq ($(HAVE_RTK), yes)
	install -m755 $(LV2GUI)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -d $(DESTDIR)$(bindir)
	install -m755 x42-whirl$(EXE_EXT) $(DESTDIR)$(bindir)
endif

uninstall:
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/*.ttl
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2NAME)$(LIB_EXT)
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2GUI)$(LIB_EXT)
	rm -f $(DESTDIR)$(bindir)/x42-whirl$(EXE_EXT)
	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)
	-rmdir $(DESTDIR)$(bindir)

clean:
	rm -f *.o manifest.ttl $(LV2NAME)$(LIB_EXT) b_whirl-configurable.ttl $(LV2GUI)$(LIB_EXT) x42-whirl$(EXE_EXT)

.PHONY: clean all install uninstall lv2

=== debian/changelog ===
setbfree (0.8.1-1) unstable; urgency=medium

  * Imported Upstream version 0.8.1
  * Patch refreshed.
  * Remove patch applied upstream.
  * Bump Standards.
  * Fix VCS fields.
  * Fix some hardening.
  * Set optimizations -03.
  * Add spelling.patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 14 Jun 2016 23:13:31 +0200

=== debian/control ===
Source: setbfree
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Robin Gareus <robin@gareus.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 9),
 libftgl-dev,
 libglu1-mesa-dev,
 libcairo2-dev,
 libpango1.0-dev,
 libjack-dev | libjack-jackd2-dev,
 libasound2-dev,
 liblo-dev,
 libsndfile1-dev,
 libx11-dev,
 libzita-convolver-dev (>=3.1.0),
 lv2-dev (>=1.0.0~dfsg2-2),
 ttf-bitstream-vera
Standards-Version: 3.9.8
Homepage: http://setbfree.org
Vcs-Git: https://anonscm.debian.org/pkg-multimedia/setbfree.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-multimedia/setbfree.git

Package: setbfree
Architecture: any
Depends:
 ttf-bitstream-vera,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-plugin
Description: DSP tonewheel organ
 setBfree is a MIDI-controlled, software synthesizer designed to imitate
 the sound and properties of the electromechanical organs and sound
 modification devices that brought world-wide fame to the names and
 products of Laurens Hammond and Don Leslie.

=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow, +pie

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- \
		ENABLE_CONVOLUTION=yes \
		PREFIX=/usr \
		OPTIMIZATIONS=-O3

override_dh_auto_install:
	dh_auto_install -- \
		ENABLE_CONVOLUTION=yes \
		DESTDIR=$(CURDIR)/debian/setbfree \
		PREFIX=/usr

override_dh_auto_clean:

## setbfree 0.8.2

=== b_overdrive/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+MODNAME=Organ Overdrive
 include ../common.mak
 include ../git2lv2.mk
 
@@ -38,7 +39,7 @@
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
 
 $(LV2NAME).ttl: $(LV2NAME).ttl.in Makefile
-	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
+	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@MODBRAND@/$(MODBRAND)/;s/@MODLABEL@/$(MODLABEL)/" \
 		$(LV2NAME).ttl.in > $(LV2NAME).ttl
 
 $(LV2NAME)$(LIB_EXT): lv2.c overdrive.o

=== debian/changelog ===
setbfree (0.8.2-1) unstable; urgency=medium

  * Fix VCS fields.
  * Add french translation to desktop file. (Closes: #827406)
  * Imported Upstream version 0.8.2
  * Patches refreshed/removed.
  * Fix some hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 20 Jun 2016 19:49:32 +0200

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
  ttf-bitstream-vera
 Standards-Version: 3.9.8
 Homepage: http://setbfree.org
-Vcs-Git: https://anonscm.debian.org/pkg-multimedia/setbfree.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-multimedia/setbfree.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/setbfree.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/setbfree.git
 
 Package: setbfree
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow, -pie

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- \
		ENABLE_CONVOLUTION=yes \
		PREFIX=/usr \
		OPTIMIZATIONS=-O3

override_dh_auto_install:
	dh_auto_install -- \
		ENABLE_CONVOLUTION=yes \
		DESTDIR=$(CURDIR)/debian/setbfree \
		PREFIX=/usr

override_dh_auto_clean:

## setbfree 0.8.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-EXPORTED_VERSION=0.8.1
+EXPORTED_VERSION=0.8.3
 export EXPORTED_VERSION
 
 ifneq ($(FONTFILE),)

=== b_synth/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+MODNAME=setBfree
 include ../common.mak
 include ../git2lv2.mk
 
@@ -40,7 +41,7 @@
 endif
 
 $(LV2NAME).ttl: $(LV2NAME).ttl.in $(LV2NAME).ui.ttl.in
-	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
+	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@MODBRAND@/$(MODBRAND)/;s/@MODLABEL@/$(MODLABEL)/" \
 		$(LV2NAME).ttl.in > $(LV2NAME).ttl
 ifeq ($(HAVE_UI), yes)
 	sed "s/@UI_TYPE@/$(UI_TYPE)/;s/@UI_REQ@/$(LV2UIREQ)/;" $(LV2NAME).ui.ttl.in >> $(LV2NAME).ttl

=== b_whirl/Makefile ===
--- 
+++ 
@@ -1,5 +1,10 @@
+MODNAME=Whirl Speaker
 include ../common.mak
 include ../git2lv2.mk
+
+ifneq ($(MOD),)
+	MODLABEL=mod:label \"$(MODNAME) XT\";
+endif
 
 LOADLIBES = -lm
 override CFLAGS+=`pkg-config --cflags lv2` -fvisibility=hidden
@@ -42,7 +47,7 @@
 endif
 
 b_whirl-configurable.ttl: b_whirl-configurable.ttl.in b_whirl-configurable.ui.ttl.in
-	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
+	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@MODBRAND@/$(MODBRAND)/;s/@MODLABEL@/$(MODLABEL_XT)/" \
 		b_whirl-configurable.ttl.in > b_whirl-configurable.ttl
 ifeq ($(HAVE_RTK), yes)
 	sed "s/@UI_TYPE@/$(UI_TYPE)/;s/@UI_REQ@/$(LV2UIREQ)/" \
@@ -50,7 +55,7 @@
 endif
 
 b_whirl.ttl: b_whirl.ttl.in
-	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
+	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@MODBRAND@/$(MODBRAND)/;s/@MODLABEL@/$(MODLABEL)/" \
 		b_whirl.ttl.in > b_whirl.ttl
 
 DSP_SRC = lv2.c

=== debian/changelog ===
setbfree (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3
  * Patches applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 30 Dec 2016 20:00:12 +0100

setbfree (0.8.2-2) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Avoid useless linking.
  * Add spelling patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Dec 2016 20:09:33 +0100

## setbfree 0.8.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-EXPORTED_VERSION=0.8.3
+EXPORTED_VERSION=0.8.4
 export EXPORTED_VERSION
 
 ifneq ($(FONTFILE),)

=== debian/changelog ===
setbfree (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 04 Jan 2017 22:44:40 +0100

## setbfree 0.8.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-EXPORTED_VERSION=0.8.4
+EXPORTED_VERSION=0.8.5
 export EXPORTED_VERSION
 
 ifneq ($(FONTFILE),)
@@ -14,7 +14,11 @@
 export RW
 endif
 
-SUBDIRS = b_overdrive b_whirl b_reverb b_conv src b_synth ui
+ifneq ($(MOD),)
+  SUBDIRS = b_whirl b_synth
+else
+  SUBDIRS = b_overdrive b_whirl b_reverb b_conv src b_synth ui
+endif
 
 default: all

=== b_conv/Makefile ===
include ../common.mak

IRPATH ?= $(sharedir)/ir

override CXXFLAGS += -DIRPATH=\"$(IRPATH)\"
LOADLIBES = -lm

# nothing to compile here. ../src will call make convolution.o
targets=

all: $(targets)

%.o: %.h ../src/cfgParser.h ../src/midi.h

clean:
	rm -f *.o

install:
ifeq ($(ENABLE_CONVOLUTION), yes)
	install -d $(DESTDIR)$(sharedir)/ir
	-install -m644 ir/*.wav $(DESTDIR)$(sharedir)/ir
endif

uninstall:
	-rmdir $(DESTDIR)$(sharedir)/ir
	-rmdir $(DESTDIR)$(sharedir)

.PHONY: clean all install uninstall

=== b_overdrive/Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o overdrive.o overdrive.c
 
 overmaker:$(OVMSRC) overmakerdefs.h
-	$(CC) -o $(@) $(OVMSRC) -lm
+	$(CC) $(LDFLAGS) -o $(@) $(OVMSRC) -lm
 
 overdrive: overmaker
 	./overmaker > overdrive.c

=== b_reverb/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+MODNAME=Organ Reverb
 include ../common.mak
 include ../git2lv2.mk
 
@@ -20,7 +21,7 @@
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
 
 $(LV2NAME).ttl: $(LV2NAME).ttl.in Makefile
-	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
+	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@MODBRAND@/$(MODBRAND)/;s/@MODLABEL@/$(MODLABEL)/" \
 		$(LV2NAME).ttl.in > $(LV2NAME).ttl
 
 $(LV2NAME)$(LIB_EXT): lv2.c reverb.o

=== b_whirl/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include ../git2lv2.mk
 
 ifneq ($(MOD),)
-	MODLABEL=mod:label \"$(MODNAME) XT\";
+	MODLABEL=mod:label \"$(MODNAME)\";
 endif
 
 LOADLIBES = -lm
@@ -17,37 +17,44 @@
 HAVE_RTK = no
 
 ifeq ($(LV2AVAIL), yes)
-  targets+=lv2
+  targets+=manifest.ttl $(LV2NAME)$(LIB_EXT)
 
-  ifeq ($(wildcard $(RW)robtk.mk),)
-    $(warning This plugin GUI needs https://github.com/x42/robtk)
-    $(info set the RW environment variale to the location of the robtk headers)
+  ifeq ($(MOD),)
+    targets+=b_whirl-configurable.ttl b_whirl.ttl
+    ifeq ($(wildcard $(RW)robtk.mk),)
+      $(warning This plugin GUI needs https://github.com/x42/robtk)
+      $(info set the RW environment variale to the location of the robtk headers)
+    else
+      HAVE_RTK = $(shell pkg-config --exists pango cairo $(PKG_GL_LIBS) && echo yes)
+    endif
+
+    ifeq ($(HAVE_RTK), yes)
+      targets+=$(LV2GUI)$(LIB_EXT)
+      targets+=x42-whirl$(EXE_EXT)
+      override CFLAGS+=-DRTK_STATIC_INIT
+    else
+      $(warning "whirl/leslie GUI will not be built")
+      $(warning "robtk or its dependencies are missing")
+    endif
   else
-    HAVE_RTK = $(shell pkg-config --exists pango cairo $(PKG_GL_LIBS) && echo yes)
-  endif
-
-  ifeq ($(HAVE_RTK), yes)
-    targets+=$(LV2GUI)$(LIB_EXT)
-    targets+=x42-whirl$(EXE_EXT)
-    override CFLAGS+=-DRTK_STATIC_INIT
-  else
-    $(warning "whirl/leslie GUI will not be built")
-    $(warning "robtk or its dependencies are missing")
+    targets+=b_whirl-mod.ttl
   endif
 endif
 
 all: $(targets)
 
-lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) b_whirl-configurable.ttl b_whirl.ttl
-
 manifest.ttl: manifest.ttl.in manifest.ui.ttl.in
+ifneq ($(MOD),)
+	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.mod.in > manifest.ttl
+else
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
+endif
 ifeq ($(HAVE_RTK), yes)
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LV2GUI@/$(LV2GUI)/;s/@LIB_EXT@/$(LIB_EXT)/;s/@UI_TYPE@/$(UI_TYPE)/" manifest.ui.ttl.in >> manifest.ttl
 endif
 
 b_whirl-configurable.ttl: b_whirl-configurable.ttl.in b_whirl-configurable.ui.ttl.in
-	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@MODBRAND@/$(MODBRAND)/;s/@MODLABEL@/$(MODLABEL_XT)/" \
+	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
 		b_whirl-configurable.ttl.in > b_whirl-configurable.ttl
 ifeq ($(HAVE_RTK), yes)
 	sed "s/@UI_TYPE@/$(UI_TYPE)/;s/@UI_REQ@/$(LV2UIREQ)/" \
@@ -55,8 +62,12 @@
 endif
 
 b_whirl.ttl: b_whirl.ttl.in
+	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
+		b_whirl.ttl.in > b_whirl.ttl
+
+b_whirl-mod.ttl: b_whirl-mod.ttl.in
 	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@MODBRAND@/$(MODBRAND)/;s/@MODLABEL@/$(MODLABEL)/" \
-		b_whirl.ttl.in > b_whirl.ttl
+		b_whirl-mod.ttl.in > b_whirl-mod.ttl
 
 DSP_SRC = lv2.c
 DSP_DEPS = whirl.o eqcomp.o whirl.h eqcomp.h ../src/cfgParser.h
@@ -87,6 +98,10 @@
 	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m644 manifest.ttl $(LV2NAME)*.ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
+  ifneq ($(MOD),)
+	  install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)/modgui
+	  install -t $(DESTDIR)$(lv2dir)/$(LV2NAME)/modgui modgui/*
+  endif
 endif
 ifeq ($(HAVE_RTK), yes)
 	install -m755 $(LV2GUI)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
@@ -99,10 +114,11 @@
 	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2NAME)$(LIB_EXT)
 	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2GUI)$(LIB_EXT)
 	rm -f $(DESTDIR)$(bindir)/x42-whirl$(EXE_EXT)
+	rm -rf $(DESTDIR)$(lv2dir)/$(LV2NAME)/modgui
 	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	-rmdir $(DESTDIR)$(bindir)
 
 clean:
 	rm -f *.o manifest.ttl $(LV2NAME)$(LIB_EXT) b_whirl-configurable.ttl $(LV2GUI)$(LIB_EXT) x42-whirl$(EXE_EXT)
 
-.PHONY: clean all install uninstall lv2
+.PHONY: clean all install uninstall

=== src/Makefile ===
include ../common.mak

INCLUDEPATHS = -I../b_overdrive/ -I../b_whirl  -I../b_reverb -I../b_conv

override CFLAGS += $(INCLUDEPATHS)
override CFLAGS += -DSHAREDIR="\"$(sharedir)\""
LOADLIBES = -lm -lpthread

BXCC=$(CC)

OBJS= \
	midi.o \
	midi_aseq.o \
	state.o \
	vibrato.o \
	tonegen.o \
	program.o \
	pgmParser.o \
	cfgParser.o \
	main.o \
	midnam.o \
	memstream.o \
	../b_reverb/reverb.c \
	../b_whirl/eqcomp.c \
	../b_whirl/whirl.c \
	../b_overdrive/overdrive.c

HEADERS = \
	cfgParser.h \
	global_inst.h \
	main.h \
	midi.h \
	midi_aseq.h \
	midi_types.h \
	pgmParser.h \
	program.h \
	vibrato.h \
	tonegen.h \
	defaultpgm.h \
	memstream.h \
	../b_reverb/reverb.h \
	../b_whirl/eqcomp.h \
	../b_whirl/whirl.h \
	../b_overdrive/overdrive.h


ifeq ($(shell pkg-config --exists jack || echo no), no)
  $(error "JACK is required - install libjack-dev or libjack-jackd2-dev")
endif

ifeq ($(shell pkg-config --exists alsa && echo yes)$(ENABLE_ALSA), yesyes)
  override CFLAGS+=-DHAVE_ASEQ `pkg-config --cflags alsa`
  LOADLIBES+=`pkg-config --libs alsa`
endif


override CFLAGS+=`pkg-config --cflags jack`

ifeq ($(USEWEAKJACK),1)
  override CFLAGS+=-DUSE_WEAK_JACK -I$(RW)
  LOADLIBES+=-ldl
  WEAKJACK=$(RW)weakjack/weak_libjack.c
else
  LOADLIBES+=`pkg-config --libs jack`
endif

ifeq ($(shell pkg-config --exists sndfile \
	&& test -f /usr/include/zita-convolver.h -o -f /usr/local/include/zita-convolver.h \
	&& echo yes), $(ENABLE_CONVOLUTION))
  override CFLAGS+= -DHAVE_ZITACONVOLVE `pkg-config --cflags sndfile`
  LOADLIBES+=-lzita-convolver `pkg-config --libs sndfile`
  OBJS+=../b_conv/convolution.o
  HEADERS+=../b_conv/convolution.h
  BXCC=$(CXX)
endif

all: setBfree$(EXE_EXT)

setBfree$(EXE_EXT): $(HEADERS) $(OBJS)
	$(BXCC) $(CPPFLAGS) $(CFLAGS) \
		-o $(@) $(OBJS) $(WEAKJACK) \
		$(LDFLAGS) $(LOADLIBES)

programd: program.c pgmParser.c program.h pgmParser.h main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -Wall \
		-DPRG_MAIN \
		-o $(@) program.c pgmParser.c

configd: cfgParser.c main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -Wall \
		-DCFG_MAIN \
		-o $(@) cfgParser.c

program: programd ../pgm/default.pgm
	$(info re-generating default program include-file)
	./programd ../pgm/default.pgm > defaultpgm.h

program.o: defaultpgm.h

# override .o in parent dirs -- needed for parallel builds

../b_reverb/reverb.o: ../b_reverb/reverb.[ch]
	+$(MAKE) -C ../b_reverb reverb.o

../b_whirl/eqcomp.o: ../b_whirl/eqcomp.[ch]
	+$(MAKE) -C ../b_whirl eqcomp.o

../b_whirl/whirl.o: ../b_whirl/whirl.[ch]
	+$(MAKE) -C ../b_whirl whirl.o

../b_overdrive/overdrive.o: \
  ../b_overdrive/filterTools.[ch] \
  ../b_overdrive/overdrive.h \
  ../b_overdrive/overmaker.[ch] \
  ../b_overdrive/overmakerdefs.h \
  ../b_overdrive/ovt_biased.[ch]
	+$(MAKE) -C ../b_overdrive overdrive.o

../b_conv/convolution.o: ../b_conv/convolution.cc ../b_conv/convolution.h
	+$(MAKE) -C ../b_conv convolution.o

clean:
	rm -f *.o core *.log *~ setBfree$(EXE_EXT) configd programd

install: setBfree
	install -d $(DESTDIR)$(bindir)
	install -m755 setBfree $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sharedir)/cfg
	install -d $(DESTDIR)$(sharedir)/pgm
	install -m644 ../cfg/*.cfg $(DESTDIR)$(sharedir)/cfg
	install -m644 ../pgm/*.pgm $(DESTDIR)$(sharedir)/pgm

uninstall:
	rm -f $(DESTDIR)$(bindir)/setBfree
	rm -f $(DESTDIR)$(sharedir)/cfg/*
	rm -f $(DESTDIR)$(sharedir)/pgm/*
	-rmdir $(DESTDIR)$(bindir)
	-rmdir $(DESTDIR)$(sharedir)/cfg
	-rmdir $(DESTDIR)$(sharedir)/pgm
	-rmdir $(DESTDIR)$(sharedir)

.PHONY: clean all install uninstall program

=== ui/Makefile ===
include ../common.mak
TX=../b_synth/textures/
WINDRES=$(XWIN)-windres

override CFLAGS+= -I../src -I../b_overdrive -I../b_reverb -I../b_whirl -I../b_synth/
override CFLAGS+=`pkg-config --cflags lv2` -DLV2SYNTH -DREQUIRE_UI

JACKEXTRA=
OSXJACKWRAP=

ifeq ($(IS_OSX), yes)
  OSXJACKWRAP=$(RW)jackwrap.mm
  USEWEAKJACK=1
  CC=$(CXX)
else
  ifeq ($(IS_WIN), yes)
    CC=$(CXX)
    UIDEPS+=win_icon.rc.o
    JACKEXTRA+=win_icon.rc.o
    USEWEAKJACK=1
    override CFLAGS+=-mwindows
  else
    LOADLIBES=-lrt
    UILIBS+=-ldl
    ifneq ($(ENABLE_CONVOLUTION), yes)
      override CFLAGS+=-std=c99
    endif
  endif
endif

ifeq ($(USEWEAKJACK),1)
  UICFLAGS+=-DUSE_WEAK_JACK
  JACKEXTRA+=$(RW)weakjack/weak_libjack.c
else
  UILIBS+=`pkg-config --libs jack`
endif

ifeq ($(shell pkg-config --exists liblo && echo yes), yes)
  UICFLAGS+=`pkg-config $(PKG_UI_FLAGS) --cflags liblo` -DHAVE_LIBLO
  UILIBS+=`pkg-config $(PKG_UI_FLAGS) --libs liblo`
endif

targets=

DESC=$(abspath desc.h)

ifeq ($(LV2AVAIL)$(HAVE_UI)$(HAVE_IDLE), yesyesyes)
  targets+=setBfreeUI$(EXE_EXT)
else
  $(warning standalone JACK/GL-GUI will not be built)
endif

all: $(targets)

setBfreeUI$(EXE_EXT): $(RW)jackwrap.c $(LV2OBJ) $(OSXJACKWRAP) $(RW)weakjack/weak_libjack.def $(RW)weakjack/weak_libjack.h $(JACKEXTRA) \
	../b_synth/lv2.c ../b_synth/uris.h \
	../b_synth/ui.c $(UIDEPS) \
	../src/cfgParser.h ../src/midi.h
	$(MAKE) -C ../b_synth $(FONTFILE)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(UICFLAGS) $(LIC_CFLAGS) \
		-pthread \
		-DXTERNAL_UI -DJACK_AUTOCONNECT=15 \
		-DAPPNAME="\"setBfree\"" \
		-DJACK_DESCRIPT=\"$(DESC)\" \
		-o setBfreeUI$(EXE_EXT) \
		$(RW)jackwrap.c $(OSXJACKWRAP) $(JACKEXTRA) \
		$(LV2OBJ) ../b_synth/lv2.c ../b_synth/ui.c \
		$(LDFLAGS) $(UILIBS) $(LOADLIBES) $(LIC_LOADLIBES) \
		-lm

# windows icon
.SUFFFIXES: .rc
win_icon.rc.o: win_icon.rc ../img/setbfree.ico
	$(WINDRES) -o $@ $<

install: $(targets)
ifneq ($(targets),)
	install -d $(DESTDIR)$(bindir)
	install -m755 setBfreeUI$(EXE_EXT) $(DESTDIR)$(bindir)
endif

uninstall:
	rm -f $(DESTDIR)$(bindir)/setBfreeUI$(EXE_EXT)

clean:
	rm -f setBfreeUI$(EXE_EXT)
	rm -f win_icon.rc.o

.PHONY: clean all install uninstall

=== debian/changelog ===
setbfree (0.8.5-1) unstable; urgency=medium

  * New upstream version 0.8.5
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Tune dh version.
  * Bump Standards.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 09 Aug 2017 21:33:51 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Robin Gareus <robin@gareus.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10~),
  libftgl-dev,
  libglu1-mesa-dev,
  libcairo2-dev,
@@ -20,7 +20,7 @@
  libzita-convolver-dev (>=3.1.0),
  lv2-dev (>=1.0.0~dfsg2-2),
  ttf-bitstream-vera
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://setbfree.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/setbfree.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/setbfree.git

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow, -pie
 
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build -- \

## setbfree 0.8.11

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-EXPORTED_VERSION=0.8.5
+EXPORTED_VERSION=0.8.11
 export EXPORTED_VERSION
 
 ifneq ($(FONTFILE),)
@@ -17,7 +17,7 @@
 ifneq ($(MOD),)
   SUBDIRS = b_whirl b_synth
 else
-  SUBDIRS = b_overdrive b_whirl b_reverb b_conv src b_synth ui
+  SUBDIRS = b_overdrive b_whirl b_reverb b_conv b_chorato src b_synth ui
 endif
 
 default: all

=== b_chorato/Makefile ===
include ../common.mak
include ../git2lv2.mk

LOADLIBES = -lm
override CFLAGS+= -I../src
override CFLAGS+=`pkg-config --cflags lv2` -fvisibility=hidden

targets=

LV2NAME=b_chorato

ifeq ($(LV2AVAIL), yes)
  targets+=lv2
endif

all: $(targets)

lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) $(LV2NAME).ttl

manifest.ttl:
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl

$(LV2NAME).ttl: $(LV2NAME).ttl.in Makefile
	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
		$(LV2NAME).ttl.in > $(LV2NAME).ttl

$(LV2NAME)$(LIB_EXT): lv2.c ../src/vibrato.c ../src/vibrato.h
	$(CC) $(CPPFLAGS) $(CFLAGS) \
		-o $(LV2NAME)$(LIB_EXT) lv2.c ../src/vibrato.c \
	  -shared $(LV2LDFLAGS) $(LDFLAGS)

install: $(targets)
ifeq ($(LV2AVAIL)$(INSTALL_EXTRA_LV2), yesyes)
	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
endif

uninstall:
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/*.ttl
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2NAME)$(LIB_EXT)
	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)

clean:
	rm -f *.o manifest.ttl $(LV2NAME)$(LIB_EXT) $(LV2NAME).ttl

.PHONY: clean all install uninstall lv2

=== b_overdrive/Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	  -shared $(LV2LDFLAGS) $(LDFLAGS)
 
 overdrive.o: overdrive.c overdrive.h ../src/cfgParser.h ../src/midi.h
-	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o overdrive.o overdrive.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -fvisibility=hidden -c -o overdrive.o overdrive.c
 
 overmaker:$(OVMSRC) overmakerdefs.h
 	$(CC) $(LDFLAGS) -o $(@) $(OVMSRC) -lm
@@ -61,7 +61,7 @@
 	-install -d $(DESTDIR)$(bindir)
 	install -m755 $(binaries) $(DESTDIR)$(bindir)
 endif
-ifeq ($(LV2AVAIL), yes)
+ifeq ($(LV2AVAIL)$(INSTALL_EXTRA_LV2), yesyes)
 	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)

=== b_reverb/Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 %.o: %c %.h ../src/cfgParser.h
 
 install: $(targets)
-ifeq ($(LV2AVAIL), yes)
+ifeq ($(LV2AVAIL)$(INSTALL_EXTRA_LV2), yesyes)
 	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)

=== b_synth/Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) $(LV2NAME).ttl
 
 manifest.ttl: manifest.ttl.in manifest.ui.ttl.in
-	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
+	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/;s/@MODGUITTL@/$(MODGUITTL)/" manifest.ttl.in > manifest.ttl
 ifeq ($(HAVE_UI), yes)
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LV2GUI@/$(LV2GUI)/;s/@LIB_EXT@/$(LIB_EXT)/;s/@UI_TYPE@/$(UI_TYPE)/" manifest.ui.ttl.in >> manifest.ttl
 endif
@@ -74,7 +74,12 @@
 	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
   ifeq ($(HAVE_UI), yes)
-	install -m755 $(LV2GUI)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
+	  install -m755 $(LV2GUI)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
+  endif
+  ifneq ($(MOD),)
+	  install -m644 modgui.ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
+	  install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)/modgui
+	  install -t $(DESTDIR)$(lv2dir)/$(LV2NAME)/modgui modgui/*
   endif
 endif
 
@@ -82,6 +87,7 @@
 	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/*.ttl
 	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2NAME)$(LIB_EXT)
 	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2GUI)$(LIB_EXT)
+	rm -rf $(DESTDIR)$(lv2dir)/$(LV2NAME)/modgui
 	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)
 
 clean:

=== b_whirl/Makefile ===
--- 
+++ 
@@ -119,6 +119,6 @@
 	-rmdir $(DESTDIR)$(bindir)
 
 clean:
-	rm -f *.o manifest.ttl $(LV2NAME)$(LIB_EXT) b_whirl-configurable.ttl $(LV2GUI)$(LIB_EXT) x42-whirl$(EXE_EXT)
+	rm -f *.o manifest.ttl b_whirl.ttl b_whirl-mod.ttl $(LV2NAME)$(LIB_EXT) b_whirl-configurable.ttl $(LV2GUI)$(LIB_EXT) x42-whirl$(EXE_EXT)
 
 .PHONY: clean all install uninstall

=== ui/Makefile ===
--- 
+++ 
@@ -53,7 +53,7 @@
 all: $(targets)
 
 setBfreeUI$(EXE_EXT): $(RW)jackwrap.c $(LV2OBJ) $(OSXJACKWRAP) $(RW)weakjack/weak_libjack.def $(RW)weakjack/weak_libjack.h $(JACKEXTRA) \
-	../b_synth/lv2.c ../b_synth/uris.h \
+	../b_synth/lv2.c ../b_synth/uris.h desc.h \
 	../b_synth/ui.c $(UIDEPS) \
 	../src/cfgParser.h ../src/midi.h
 	$(MAKE) -C ../b_synth $(FONTFILE)

=== debian/changelog ===
setbfree (0.8.11-3) unstable; urgency=medium

  * Fix cross building. Thanks Nilesh! (Closes: #1021841)

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 16 Oct 2022 22:55:34 +0200

setbfree (0.8.11-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Avoid explicitly specifying -Wl,--as-needed linker flag

  [ Dennis Braun ]
  * Fix gl linking (Closes: #1008327)
  * Fix spelling error speficy -> specify
  * d/control:
    + Bump dh-compat to 13
    + Bump Standards Version to 4.6.1
    + Use fonts-dejavu-core instead of ttf-bitstream-vera (Closes: #998266)
    + Mark libasound2-dev as linux-any
    + Add myself as uploader
  * d/copyright: Add myself to the d/ section
  * Remove obsolete d/source/local-options
  * Add d/upstream/metadata
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 15 Oct 2022 19:16:41 +0200

setbfree (0.8.11-1) unstable; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Olivier Humbert ]
  * Update d/copyright (http -> https)
  * Update d/rules: Remove ENABLE_CONVOLUTION

  [ Dennis Braun ]
  * New upstream version 0.8.11
  * d/control:
    + Bump debhelper-compat to 12
    + Bump Standards-Version to 4.5.0
    + Update homepage
    + Set RRR: no
  * d/copyright:
    + Update years
    + Add full CC-BY-SA-3.0 license
  * d/rules: Remove -pie from DEB_BUILD_MAINT_OPTIONS

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 02 Feb 2020 11:30:36 +0100

=== debian/control ===
Source: setbfree
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Robin Gareus <robin@gareus.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 fonts-dejavu-core,
 libftgl-dev,
 libglu1-mesa-dev,
 libcairo2-dev,
 libpango1.0-dev,
 libjack-dev | libjack-jackd2-dev,
 libasound2-dev [linux-any],
 liblo-dev,
 libsndfile1-dev:native,
 libx11-dev,
 libzita-convolver-dev,
 lv2-dev,
Standards-Version: 4.6.1
Homepage: https://x42-plugins.com/x42/setBfree
Vcs-Git: https://salsa.debian.org/multimedia-team/setbfree.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/setbfree
Rules-Requires-Root: no

Package: setbfree
Architecture: any
Depends:
 fonts-dejavu-core,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-plugin
Description: DSP tonewheel organ
 setBfree is a MIDI-controlled, software synthesizer designed to imitate
 the sound and properties of the electromechanical organs and sound
 modification devices that brought world-wide fame to the names and
 products of Laurens Hammond and Don Leslie.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
STRIP := strip
else
STRIP := $(DEB_HOST_GNU_TYPE)-strip
export PKG_CONFIG = $(DEB_HOST_GNU_TYPE)-pkg-config
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		PREFIX=/usr \
		OPTIMIZATIONS=-O3 \
		STRIP=$(STRIP)

override_dh_auto_install:
	dh_auto_install -- \
		DESTDIR=$(CURDIR)/debian/setbfree \
		PREFIX=/usr

override_dh_auto_clean:

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/pantherb/setbfree/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## setbfree 0.8.12%2Bds

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alessio Treglia <alessio@debian.org>,
  Robin Gareus <robin@gareus.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  fonts-dejavu-core,
@@ -21,7 +21,8 @@
  libx11-dev,
  libzita-convolver-dev,
  lv2-dev,
-Standards-Version: 4.6.1
+ robtk
+Standards-Version: 4.6.2
 Homepage: https://x42-plugins.com/x42/setBfree
 Vcs-Git: https://salsa.debian.org/multimedia-team/setbfree.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/setbfree

## setbfree 0.8.12+ds

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-EXPORTED_VERSION=0.8.11
+EXPORTED_VERSION=0.8.12
 export EXPORTED_VERSION
 
 ifneq ($(FONTFILE),)

=== b_reverb/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include ../git2lv2.mk
 
 LOADLIBES = -lm
-override CFLAGS+=`pkg-config --cflags lv2` -fvisibility=hidden
+override CFLAGS+=`$(PKG_CONFIG) --cflags lv2` -fvisibility=hidden
 
 targets=reverb.o

=== src/Makefile ===
--- 
+++ 
@@ -44,31 +44,31 @@
 	../b_overdrive/overdrive.h
 
 
-ifeq ($(shell pkg-config --exists jack || echo no), no)
+ifeq ($(shell $(PKG_CONFIG) --exists jack || echo no), no)
   $(error "JACK is required - install libjack-dev or libjack-jackd2-dev")
 endif
 
-ifeq ($(shell pkg-config --exists alsa && echo yes)$(ENABLE_ALSA), yesyes)
-  override CFLAGS+=-DHAVE_ASEQ `pkg-config --cflags alsa`
-  LOADLIBES+=`pkg-config --libs alsa`
+ifeq ($(shell $(PKG_CONFIG) --exists alsa && echo yes)$(ENABLE_ALSA), yesyes)
+  override CFLAGS+=-DHAVE_ASEQ `$(PKG_CONFIG) --cflags alsa`
+  LOADLIBES+=`$(PKG_CONFIG) --libs alsa`
 endif
 
 
-override CFLAGS+=`pkg-config --cflags jack`
+override CFLAGS+=`$(PKG_CONFIG) --cflags jack`
 
 ifeq ($(USEWEAKJACK),1)
   override CFLAGS+=-DUSE_WEAK_JACK -I$(RW)
   LOADLIBES+=-ldl
   WEAKJACK=$(RW)weakjack/weak_libjack.c
 else
-  LOADLIBES+=`pkg-config --libs jack`
+  LOADLIBES+=`$(PKG_CONFIG) --libs jack`
 endif
 
-ifeq ($(shell pkg-config --exists sndfile \
+ifeq ($(shell $(PKG_CONFIG) --exists sndfile \
 	&& test -f /usr/include/zita-convolver.h -o -f /usr/local/include/zita-convolver.h \
 	&& echo yes), $(ENABLE_CONVOLUTION))
-  override CFLAGS+= -DHAVE_ZITACONVOLVE `pkg-config --cflags sndfile`
-  LOADLIBES+=-lzita-convolver `pkg-config --libs sndfile`
+  override CFLAGS+= -DHAVE_ZITACONVOLVE `$(PKG_CONFIG) --cflags sndfile`
+  LOADLIBES+=-lzita-convolver `$(PKG_CONFIG) --libs sndfile`
   OBJS+=../b_conv/convolution.o
   HEADERS+=../b_conv/convolution.h
   BXCC=$(CXX)

=== debian/changelog ===
setbfree (0.8.12+ds-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:00:20 +1100

setbfree (0.8.12+ds-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:57:02 +0000

setbfree (0.8.12+ds-2) unstable; urgency=medium

  * Clean files from successful build (Closes: #1045755)
  * Add d/setbfree.lintian-overrides

 -- Dennis Braun <snd@debian.org>  Sat, 23 Sep 2023 21:48:29 +0200

setbfree (0.8.12+ds-1) unstable; urgency=medium

  * New upstream version 0.8.12+ds
    + Use robtk from debian archive
  * Fix build with robtk 0.8.4
  * Refresh patchset, drop spelling error patch applied by upstream
  * Bump Standards-Version to 4.6.2
  * Change my email address
  * Bump d/copyright years
  * Add salsa ci config

 -- Dennis Braun <snd@debian.org>  Sat, 12 Aug 2023 13:37:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: setbfree
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Robin Gareus <robin@gareus.org>,

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
https://github.com/pantherb/setbfree/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## setbfree 0.8.13%2Bds

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-EXPORTED_VERSION=0.8.12
+EXPORTED_VERSION=0.8.13
 export EXPORTED_VERSION
 
 ifneq ($(FONTFILE),)

## setbfree 0.8.13+ds

=== b_chorato/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 LOADLIBES = -lm
 override CFLAGS+= -I../src
-override CFLAGS+=`pkg-config --cflags lv2` -fvisibility=hidden
+override CFLAGS+=`$(PKG_CONFIG) --cflags lv2` -fvisibility=hidden
 
 targets=

=== b_overdrive/Makefile ===
--- 
+++ 
@@ -12,16 +12,16 @@
   targets+=lv2
 endif
 
-ifeq ($(shell pkg-config --exists liblo && echo yes), yes)
-  override CFLAGS+=-DHAVE_LIBLO `pkg-config --cflags liblo`
-  LOADLIBES+=`pkg-config --libs liblo`
+ifeq ($(shell $(PKG_CONFIG) --exists liblo && echo yes), yes)
+  override CFLAGS+=-DHAVE_LIBLO `$(PKG_CONFIG) --cflags liblo`
+  LOADLIBES+=`$(PKG_CONFIG) --libs liblo`
 endif
 
-ifeq ($(shell pkg-config --exists jack && echo yes)$(OVERDRIVEJACK), yesyes)
+ifeq ($(shell $(PKG_CONFIG) --exists jack && echo yes)$(OVERDRIVEJACK), yesyes)
   targets+=jboverdrive
   binaries+=jboverdrive
-  override CFLAGS+=-DHAVE_JACK `pkg-config --cflags jack`
-  LOADLIBES+=`pkg-config --libs jack`
+  override CFLAGS+=-DHAVE_JACK `$(PKG_CONFIG) --cflags jack`
+  LOADLIBES+=`$(PKG_CONFIG) --libs jack`
 endif
 
 OVMSRC=\

=== b_synth/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 LOADLIBES = -lm
 override CFLAGS+= -I../src -I../b_overdrive -I../b_reverb -I../b_whirl
-override CFLAGS+=`pkg-config --cflags lv2` -DLV2SYNTH -fvisibility=hidden
+override CFLAGS+=`$(PKG_CONFIG) --cflags lv2` -DLV2SYNTH -fvisibility=hidden
 targets=
 
 LV2NAME=b_synth

=== b_whirl/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 endif
 
 LOADLIBES = -lm
-override CFLAGS+=`pkg-config --cflags lv2` -fvisibility=hidden
+override CFLAGS+=`$(PKG_CONFIG) --cflags lv2` -fvisibility=hidden
 
 targets=whirl.o eqcomp.o
 
@@ -25,7 +25,7 @@
       $(warning This plugin GUI needs https://github.com/x42/robtk)
       $(info set the RW environment variale to the location of the robtk headers)
     else
-      HAVE_RTK = $(shell pkg-config --exists pango cairo $(PKG_GL_LIBS) && echo yes)
+      HAVE_RTK = $(shell $(PKG_CONFIG) --exists pango cairo $(PKG_GL_LIBS) && echo yes)
     endif
 
     ifeq ($(HAVE_RTK), yes)
@@ -79,7 +79,7 @@
 		-shared $(LV2LDFLAGS) $(LDFLAGS)
 
 JACKCFLAGS=$(CFLAGS) $(GLUICFLAGS) $(LIC_CFLAGS) -Wno-unused-function
-JACKCFLAGS+=`pkg-config --cflags jack lv2 pango pangocairo $(PKG_GL_LIBS)`
+JACKCFLAGS+=`$(PKG_CONFIG) --cflags jack lv2 pango pangocairo $(PKG_GL_LIBS)`
 JACKLIBS=-lm $(GLUILIBS) $(LIC_LOADLIBES)
 
 $(eval x42_whirl_JACKSRC = lv2.c whirl.c)

=== ui/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 WINDRES=$(XWIN)-windres
 
 override CFLAGS+= -I../src -I../b_overdrive -I../b_reverb -I../b_whirl -I../b_synth/
-override CFLAGS+=`pkg-config --cflags lv2` -DLV2SYNTH -DREQUIRE_UI
+override CFLAGS+=`$(PKG_CONFIG) --cflags lv2` -DLV2SYNTH -DREQUIRE_UI
 
 JACKEXTRA=
 OSXJACKWRAP=
@@ -32,12 +32,15 @@
   UICFLAGS+=-DUSE_WEAK_JACK
   JACKEXTRA+=$(RW)weakjack/weak_libjack.c
 else
-  UILIBS+=`pkg-config --libs jack`
+  ifeq ($(shell $(PKG_CONFIG) --exists jack || echo no), no)
+    $(error "JACK is required - install libjack-dev or libjack-jackd2-dev")
+  endif
+  UILIBS+=`$(PKG_CONFIG) --libs jack`
 endif
 
-ifeq ($(shell pkg-config --exists liblo && echo yes), yes)
-  UICFLAGS+=`pkg-config $(PKG_UI_FLAGS) --cflags liblo` -DHAVE_LIBLO
-  UILIBS+=`pkg-config $(PKG_UI_FLAGS) --libs liblo`
+ifeq ($(shell $(PKG_CONFIG) --exists liblo && echo yes), yes)
+  UICFLAGS+=`$(PKG_CONFIG) $(PKG_UI_FLAGS) --cflags liblo` -DHAVE_LIBLO
+  UILIBS+=`$(PKG_CONFIG) $(PKG_UI_FLAGS) --libs liblo`
 endif
 
 targets=

=== debian/changelog ===
setbfree (0.8.13+ds-1) unstable; urgency=medium

  * New upstream version 0.8.13+ds
  * Build with robtk 0.8.5
  * Bump Standards-Version to 4.7.0
  * Use the default ci config from salsa
  * Bump my d/copyright year
  * Refresh patchset

 -- Dennis Braun <snd@debian.org>  Tue, 23 Jul 2024 14:03:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: setbfree
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Robin Gareus <robin@gareus.org>,
@@ -23,7 +22,7 @@
  libzita-convolver-dev,
  lv2-dev,
  robtk
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://x42-plugins.com/x42/setBfree
 Vcs-Git: https://salsa.debian.org/multimedia-team/setbfree.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/setbfree

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 %:
 	dh $@
 
+execute_before_dh_auto_configure:
+	cp -r /usr/share/robtk .
+
 override_dh_auto_build:
 	dh_auto_build -- \
 		PREFIX=/usr \
@@ -24,3 +27,15 @@
 		PREFIX=/usr
 
 override_dh_auto_clean:
+	dh_clean */*.o \
+		*/*.so \
+		b_chorato/*.ttl \
+		b_overdrive/*.ttl \
+		b_reverb/*.ttl \
+		b_synth/b_synth.ttl \
+		b_synth/manifest.ttl \
+		b_whirl/*.ttl \
+		b_whirl/x42-whirl \
+		robtk/ \
+		src/setBfree \
+		ui/setBfreeUI
